Changeset 148828


Ignore:
Timestamp:
May 19, 2016, 6:04:08 PM (3 years ago)
Author:
devans@…
Message:

gtk-quartz-engine: allow build with automake-1.15, homepage, descriptions, notes (#44540).

Location:
trunk/dports/gnome/gtk-quartz-engine
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/gtk-quartz-engine/Portfile

    r115019 r148828  
    1010platforms           darwin
    1111maintainers         gmail.com:tael67 openmaintainer
    12 #supported_archs     i386 ppc
    1312
    14 description         Native Mac OS X theme for GTK+
     13description         Quartz theme engine for Gtk+
    1514
    16 long_description    Carbon-based theme engine for 32-bit Quartz
    17 
    18 homepage            http://git.gnome.org/browse/gtk-quartz-engine
     15long_description    ${description}
    1916
    2017checksums           rmd160  f2ae0bccf168a8281c82933d77fe96958603a102 \
     
    4037**** environment but your version of gtk2 does not support quartz.
    4138**** Please reinstall the gtk2 port and all of its dependencies
    42 **** with the variants +no_x11 +quartz -x11 and then try again.
     39**** with the variants +quartz and then try again.
    4340****
    4441"
    45         return -code error "gtk2 +no_x11 +quartz not installed"
     42        return -code error "gtk2 +quartz not installed"
    4643    }
     44}
    4745
    48     system -W ${worksrcpath} "./autogen.sh"
    49 }
     46configure.cmd       ./autogen.sh
    5047
    5148notes "
  • trunk/dports/gnome/gtk-quartz-engine/files/patch-autogen.sh.diff

    r123057 r148828  
    1 --- autogen.sh.orig     2014-08-04 10:26:16.000000000 -0700
    2 +++ autogen.sh  2014-08-04 10:27:24.000000000 -0700
    3 @@ -18,7 +18,19 @@
     1--- autogen.sh.orig     2009-10-08 09:26:39.000000000 -0700
     2+++ autogen.sh  2016-05-19 10:50:22.000000000 -0700
     3@@ -18,7 +18,22 @@
    44        DIE=1
    55 }
    66 
    77-if automake-1.10 --version < /dev/null > /dev/null 2>&1 ; then
    8 +if automake-1.14 --version < /dev/null > /dev/null 2>&1 ; then
     8+if automake-1.15 --version < /dev/null > /dev/null 2>&1 ; then
     9+    AUTOMAKE=automake-1.15
     10+    ACLOCAL=aclocal-1.15
     11+elif automake-1.14 --version < /dev/null > /dev/null 2>&1 ; then
    912+    AUTOMAKE=automake-1.14
    1013+    ACLOCAL=aclocal-1.14
     
    2225     ACLOCAL=aclocal-1.10
    2326 elif automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
    24 @@ -38,7 +50,7 @@
     27@@ -38,7 +53,7 @@
    2528         DIE=1
    2629 fi
     
    3134        echo "You must have libtool installed to compile $PROJECT."
    3235        echo "Get http://ftp.gnu.org/gnu/libtool/libtool-1.5.22.tar.gz"
    33 @@ -49,15 +61,11 @@
     36@@ -49,15 +64,15 @@
    3437        exit 1
    3538 fi
     
    4649 
    4750-$srcdir/configure --enable-maintainer-mode "$@"
    48 -
    49 -echo
    50 -echo "Now type 'make' to compile $PROJECT"
     51+$srcdir/configure "$@"
     52 
     53 echo
     54 echo "Now type 'make' to compile $PROJECT"
Note: See TracChangeset for help on using the changeset viewer.